/*
dtmflogd        A program to log digits captured by a serial dtmf decoder
Copyright (C) 2003  Raphael Assenat

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author: Raphael Assenat <raph@raphnet.net>
*/
#include "area_info.h"
int get450(int co_code, AreaInfo *area)
{
	switch(co_code)
	{
		case 204:
			area->npa=450;
			area->co_code=204;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 209:
			area->npa=450;
			area->co_code=209;
			area->ocn=8820;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 210:
			area->npa=450;
			area->co_code=210;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 222:
			area->npa=450;
			area->co_code=222;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Calixte-De-Kilkenny";
			break;
		
		case 223:
			area->npa=450;
			area->co_code=223;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 224:
			area->npa=450;
			area->co_code=224;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Shawbridge";
			break;
		
		case 225:
			area->npa=450;
			area->co_code=225;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Beauharnois";
			break;
		
		case 226:
			area->npa=450;
			area->co_code=226;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Morin Heights";
			break;
		
		case 227:
			area->npa=450;
			area->co_code=227;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Sauveur";
			break;
		
		case 228:
			area->npa=450;
			area->co_code=228;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Marguerite";
			break;
		
		case 229:
			area->npa=450;
			area->co_code=229;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Adele";
			break;
		
		case 230:
			area->npa=450;
			area->co_code=230;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 236:
			area->npa=450;
			area->co_code=236;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Actonvale";
			break;
		
		case 240:
			area->npa=450;
			area->co_code=240;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Sauveur";
			break;
		
		case 242:
			area->npa=450;
			area->co_code=242;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Knowlton";
			break;
		
		case 243:
			area->npa=450;
			area->co_code=243;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Knowlton";
			break;
		
		case 244:
			area->npa=450;
			area->co_code=244;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Venise-en-Quebec";
			break;
		
		case 245:
			area->npa=450;
			area->co_code=245;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Napierville";
			break;
		
		case 246:
			area->npa=450;
			area->co_code=246;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lacolle";
			break;
		
		case 247:
			area->npa=450;
			area->co_code=247;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Hemmingford";
			break;
		
		case 248:
			area->npa=450;
			area->co_code=248;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Bedford";
			break;
		
		case 250:
			area->npa=450;
			area->co_code=250;
			area->ocn=8254;
			area->company="Maskatel";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 251:
			area->npa=450;
			area->co_code=251;
			area->ocn=8254;
			area->company="Maskatel";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 252:
			area->npa=450;
			area->co_code=252;
			area->ocn=8254;
			area->company="Maskatel";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 253:
			area->npa=450;
			area->co_code=253;
			area->ocn=8254;
			area->company="Maskatel";
			area->status="In Service";
			area->rate_center="St-Thomas-d'Aquin";
			break;
		
		case 258:
			area->npa=450;
			area->co_code=258;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Mirabel-Ste-Scholastique";
			break;
		
		case 260:
			area->npa=450;
			area->co_code=260;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Cowansville";
			break;
		
		case 261:
			area->npa=450;
			area->co_code=261;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 263:
			area->npa=450;
			area->co_code=263;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Cowansville";
			break;
		
		case 264:
			area->npa=450;
			area->co_code=264;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Huntingdon";
			break;
		
		case 265:
			area->npa=450;
			area->co_code=265;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Polycarpe";
			break;
		
		case 266:
			area->npa=450;
			area->co_code=266;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Cowansville";
			break;
		
		case 267:
			area->npa=450;
			area->co_code=267;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Coteau-Landing";
			break;
		
		case 268:
			area->npa=450;
			area->co_code=268;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Beauharnois";
			break;
		
		case 269:
			area->npa=450;
			area->co_code=269;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Riviere-Beaudette";
			break;
		
		case 270:
			area->npa=450;
			area->co_code=270;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Beauharnois";
			break;
		
		case 278:
			area->npa=450;
			area->co_code=278;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 291:
			area->npa=450;
			area->co_code=291;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Blaise";
			break;
		
		case 292:
			area->npa=450;
			area->co_code=292;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Mansonville";
			break;
		
		case 293:
			area->npa=450;
			area->co_code=293;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Farnham";
			break;
		
		case 294:
			area->npa=450;
			area->co_code=294;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Clarenceville";
			break;
		
		case 295:
			area->npa=450;
			area->co_code=295;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Dunham";
			break;
		
		case 296:
			area->npa=450;
			area->co_code=296;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Notre-Dame-de-Stanbridge";
			break;
		
		case 297:
			area->npa=450;
			area->co_code=297;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Eastman";
			break;
		
		case 298:
			area->npa=450;
			area->co_code=298;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Frelighsburg";
			break;
		
		case 299:
			area->npa=450;
			area->co_code=299;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Henryville";
			break;
		
		case 310:
			area->npa=450;
			area->co_code=310;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="7 Digit Service";
			break;
		
		case 320:
			area->npa=450;
			area->co_code=320;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="Plant Test";
			area->rate_center="n/a";
			break;
		
		case 321:
			area->npa=450;
			area->co_code=321;
			area->ocn=8377;
			area->company="Call-Net Communications";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 330:
			area->npa=450;
			area->co_code=330;
			area->ocn=8820;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 340:
			area->npa=450;
			area->co_code=340;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="St-Sauveur";
			break;
		
		case 346:
			area->npa=450;
			area->co_code=346;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 347:
			area->npa=450;
			area->co_code=347;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 348:
			area->npa=450;
			area->co_code=348;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 349:
			area->npa=450;
			area->co_code=349;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 357:
			area->npa=450;
			area->co_code=357;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 358:
			area->npa=450;
			area->co_code=358;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 359:
			area->npa=450;
			area->co_code=359;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 360:
			area->npa=450;
			area->co_code=360;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 368:
			area->npa=450;
			area->co_code=368;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Lavaltrie";
			break;
		
		case 370:
			area->npa=450;
			area->co_code=370;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 371:
			area->npa=450;
			area->co_code=371;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 372:
			area->npa=450;
			area->co_code=372;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 373:
			area->npa=450;
			area->co_code=373;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 374:
			area->npa=450;
			area->co_code=374;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 375:
			area->npa=450;
			area->co_code=375;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 377:
			area->npa=450;
			area->co_code=377;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 378:
			area->npa=450;
			area->co_code=378;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 379:
			area->npa=450;
			area->co_code=379;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Paul-D'Abbotsford";
			break;
		
		case 392:
			area->npa=450;
			area->co_code=392;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Contrecoeur";
			break;
		
		case 405:
			area->npa=450;
			area->co_code=405;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 419:
			area->npa=450;
			area->co_code=419;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 424:
			area->npa=450;
			area->co_code=424;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Vaudreuil";
			break;
		
		case 427:
			area->npa=450;
			area->co_code=427;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Martine";
			break;
		
		case 429:
			area->npa=450;
			area->co_code=429;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Beauharnois";
			break;
		
		case 430:
			area->npa=450;
			area->co_code=430;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 431:
			area->npa=450;
			area->co_code=431;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 432:
			area->npa=450;
			area->co_code=432;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 433:
			area->npa=450;
			area->co_code=433;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 434:
			area->npa=450;
			area->co_code=434;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 435:
			area->npa=450;
			area->co_code=435;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 436:
			area->npa=450;
			area->co_code=436;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 437:
			area->npa=450;
			area->co_code=437;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 438:
			area->npa=450;
			area->co_code=438;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 439:
			area->npa=450;
			area->co_code=439;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lin";
			break;
		
		case 441:
			area->npa=450;
			area->co_code=441;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Bruno";
			break;
		
		case 442:
			area->npa=450;
			area->co_code=442;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 443:
			area->npa=450;
			area->co_code=443;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 444:
			area->npa=450;
			area->co_code=444;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laprairie";
			break;
		
		case 445:
			area->npa=450;
			area->co_code=445;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 446:
			area->npa=450;
			area->co_code=446;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Beloeil";
			break;
		
		case 447:
			area->npa=450;
			area->co_code=447;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chambly";
			break;
		
		case 448:
			area->npa=450;
			area->co_code=448;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 449:
			area->npa=450;
			area->co_code=449;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Boucherville";
			break;
		
		case 451:
			area->npa=450;
			area->co_code=451;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Rigaud";
			break;
		
		case 452:
			area->npa=450;
			area->co_code=452;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Les Cedres";
			break;
		
		case 454:
			area->npa=450;
			area->co_code=454;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Remi";
			break;
		
		case 455:
			area->npa=450;
			area->co_code=455;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Vaudreuil";
			break;
		
		case 456:
			area->npa=450;
			area->co_code=456;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Clet";
			break;
		
		case 458:
			area->npa=450;
			area->co_code=458;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Hudson";
			break;
		
		case 459:
			area->npa=450;
			area->co_code=459;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Marthe";
			break;
		
		case 460:
			area->npa=450;
			area->co_code=460;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Marieville";
			break;
		
		case 461:
			area->npa=450;
			area->co_code=461;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Bruno";
			break;
		
		case 462:
			area->npa=450;
			area->co_code=462;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 463:
			area->npa=450;
			area->co_code=463;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 464:
			area->npa=450;
			area->co_code=464;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Beloeil";
			break;
		
		case 465:
			area->npa=450;
			area->co_code=465;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 466:
			area->npa=450;
			area->co_code=466;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 467:
			area->npa=450;
			area->co_code=467;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Beloeil";
			break;
		
		case 468:
			area->npa=450;
			area->co_code=468;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 469:
			area->npa=450;
			area->co_code=469;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Cesaire";
			break;
		
		case 470:
			area->npa=450;
			area->co_code=470;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Le Gardeur";
			break;
		
		case 471:
			area->npa=450;
			area->co_code=471;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Terrebonne";
			break;
		
		case 472:
			area->npa=450;
			area->co_code=472;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Eustache";
			break;
		
		case 473:
			area->npa=450;
			area->co_code=473;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Eustache";
			break;
		
		case 474:
			area->npa=450;
			area->co_code=474;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Mascouche";
			break;
		
		case 475:
			area->npa=450;
			area->co_code=475;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Mirabel-St-Augustin";
			break;
		
		case 476:
			area->npa=450;
			area->co_code=476;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Mirabel-Aeroport";
			break;
		
		case 477:
			area->npa=450;
			area->co_code=477;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Mascouche";
			break;
		
		case 478:
			area->npa=450;
			area->co_code=478;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Anne-Des-Plaines";
			break;
		
		case 479:
			area->npa=450;
			area->co_code=479;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Oka";
			break;
		
		case 491:
			area->npa=450;
			area->co_code=491;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Eustache";
			break;
		
		case 492:
			area->npa=450;
			area->co_code=492;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Terrebonne";
			break;
		
		case 501:
			area->npa=450;
			area->co_code=501;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 502:
			area->npa=450;
			area->co_code=502;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 505:
			area->npa=450;
			area->co_code=505;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 508:
			area->npa=450;
			area->co_code=508;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="St-Therese";
			break;
		
		case 510:
			area->npa=450;
			area->co_code=510;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Vaudreuil";
			break;
		
		case 512:
			area->npa=450;
			area->co_code=512;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 513:
			area->npa=450;
			area->co_code=513;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 515:
			area->npa=450;
			area->co_code=515;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 516:
			area->npa=450;
			area->co_code=516;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 517:
			area->npa=450;
			area->co_code=517;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Sorel";
			break;
		
		case 518:
			area->npa=450;
			area->co_code=518;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 521:
			area->npa=450;
			area->co_code=521;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 522:
			area->npa=450;
			area->co_code=522;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="Assigned";
			area->rate_center="Granby";
			break;
		
		case 530:
			area->npa=450;
			area->co_code=530;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 531:
			area->npa=450;
			area->co_code=531;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 532:
			area->npa=450;
			area->co_code=532;
			area->ocn=8242;
			area->company="CoopTel de telecommunication";
			area->status="In Service";
			area->rate_center="Valcourt";
			break;
		
		case 533:
			area->npa=450;
			area->co_code=533;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Brownsburg";
			break;
		
		case 534:
			area->npa=450;
			area->co_code=534;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Bromont";
			break;
		
		case 535:
			area->npa=450;
			area->co_code=535;
			area->ocn=8242;
			area->company="CoopTel de telecommunication";
			area->status="In Service";
			area->rate_center="Lawrenceville";
			break;
		
		case 536:
			area->npa=450;
			area->co_code=536;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Beloeil";
			break;
		
		case 537:
			area->npa=450;
			area->co_code=537;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Andre Est";
			break;
		
		case 538:
			area->npa=450;
			area->co_code=538;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sutton";
			break;
		
		case 539:
			area->npa=450;
			area->co_code=539;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Waterloo";
			break;
		
		case 540:
			area->npa=450;
			area->co_code=540;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Lavaltrie";
			break;
		
		case 541:
			area->npa=450;
			area->co_code=541;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Lavaltrie";
			break;
		
		case 542:
			area->npa=450;
			area->co_code=542;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 543:
			area->npa=450;
			area->co_code=543;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Therese";
			break;
		
		case 544:
			area->npa=450;
			area->co_code=544;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 545:
			area->npa=450;
			area->co_code=545;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean";
			break;
		
		case 546:
			area->npa=450;
			area->co_code=546;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Actonvale";
			break;
		
		case 547:
			area->npa=450;
			area->co_code=547;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lavaltrie";
			break;
		
		case 548:
			area->npa=450;
			area->co_code=548;
			area->ocn=8242;
			area->company="CoopTel de telecommunication";
			area->status="In Service";
			area->rate_center="Roxton Falls";
			break;
		
		case 549:
			area->npa=450;
			area->co_code=549;
			area->ocn=8241;
			area->company="La Compagne de Telephone Upton";
			area->status="In Service";
			area->rate_center="Upton";
			break;
		
		case 550:
			area->npa=450;
			area->co_code=550;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="St-Hubert";
			break;
		
		case 552:
			area->npa=450;
			area->co_code=552;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Boucherville";
			break;
		
		case 553:
			area->npa=450;
			area->co_code=553;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="Assigned";
			area->rate_center="St-Jerome";
			break;
		
		case 560:
			area->npa=450;
			area->co_code=560;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 561:
			area->npa=450;
			area->co_code=561;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sorel";
			break;
		
		case 562:
			area->npa=450;
			area->co_code=562;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachute";
			break;
		
		case 563:
			area->npa=450;
			area->co_code=563;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hippolyte";
			break;
		
		case 564:
			area->npa=450;
			area->co_code=564;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Zephirin";
			break;
		
		case 565:
			area->npa=450;
			area->co_code=565;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 566:
			area->npa=450;
			area->co_code=566;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lachute";
			break;
		
		case 567:
			area->npa=450;
			area->co_code=567;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 568:
			area->npa=450;
			area->co_code=568;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pierreville";
			break;
		
		case 569:
			area->npa=450;
			area->co_code=569;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 574:
			area->npa=450;
			area->co_code=574;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 575:
			area->npa=450;
			area->co_code=575;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 577:
			area->npa=450;
			area->co_code=577;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 578:
			area->npa=450;
			area->co_code=578;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 581:
			area->npa=450;
			area->co_code=581;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Le Gardeur";
			break;
		
		case 582:
			area->npa=450;
			area->co_code=582;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Le Gardeur";
			break;
		
		case 583:
			area->npa=450;
			area->co_code=583;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Vercheres";
			break;
		
		case 584:
			area->npa=450;
			area->co_code=584;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Marc";
			break;
		
		case 585:
			area->npa=450;
			area->co_code=585;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Le Gardeur";
			break;
		
		case 586:
			area->npa=450;
			area->co_code=586;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lavaltrie";
			break;
		
		case 587:
			area->npa=450;
			area->co_code=587;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Contrecoeur";
			break;
		
		case 588:
			area->npa=450;
			area->co_code=588;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="L'Epiphanie-L'Assomption";
			break;
		
		case 589:
			area->npa=450;
			area->co_code=589;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="L'Epiphanie-L'Assomption";
			break;
		
		case 595:
			area->npa=450;
			area->co_code=595;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="Assigned";
			area->rate_center="Mirabel-Aeroport";
			break;
		
		case 601:
			area->npa=450;
			area->co_code=601;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 602:
			area->npa=450;
			area->co_code=602;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 612:
			area->npa=450;
			area->co_code=612;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Lachute";
			break;
		
		case 613:
			area->npa=450;
			area->co_code=613;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Lachute";
			break;
		
		case 616:
			area->npa=450;
			area->co_code=616;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 618:
			area->npa=450;
			area->co_code=618;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 619:
			area->npa=450;
			area->co_code=619;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laprairie";
			break;
		
		case 621:
			area->npa=450;
			area->co_code=621;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 622:
			area->npa=450;
			area->co_code=622;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Rose";
			break;
		
		case 623:
			area->npa=450;
			area->co_code=623;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Eustache";
			break;
		
		case 624:
			area->npa=450;
			area->co_code=624;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Rose";
			break;
		
		case 625:
			area->npa=450;
			area->co_code=625;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Rose";
			break;
		
		case 627:
			area->npa=450;
			area->co_code=627;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laval-Ouest";
			break;
		
		case 628:
			area->npa=450;
			area->co_code=628;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Rose";
			break;
		
		case 629:
			area->npa=450;
			area->co_code=629;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 632:
			area->npa=450;
			area->co_code=632;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Constant";
			break;
		
		case 633:
			area->npa=450;
			area->co_code=633;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Constant";
			break;
		
		case 635:
			area->npa=450;
			area->co_code=635;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Constant";
			break;
		
		case 638:
			area->npa=450;
			area->co_code=638;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Constant";
			break;
		
		case 640:
			area->npa=450;
			area->co_code=640;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 641:
			area->npa=450;
			area->co_code=641;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Boucherville";
			break;
		
		case 645:
			area->npa=450;
			area->co_code=645;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Boucherville";
			break;
		
		case 646:
			area->npa=450;
			area->co_code=646;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 647:
			area->npa=450;
			area->co_code=647;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 648:
			area->npa=450;
			area->co_code=648;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 649:
			area->npa=450;
			area->co_code=649;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Julie-Des-Vercheres";
			break;
		
		case 651:
			area->npa=450;
			area->co_code=651;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 652:
			area->npa=450;
			area->co_code=652;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Varennes";
			break;
		
		case 653:
			area->npa=450;
			area->co_code=653;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Bruno";
			break;
		
		case 654:
			area->npa=450;
			area->co_code=654;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Le Gardeur";
			break;
		
		case 655:
			area->npa=450;
			area->co_code=655;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Boucherville";
			break;
		
		case 656:
			area->npa=450;
			area->co_code=656;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 657:
			area->npa=450;
			area->co_code=657;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Le Gardeur";
			break;
		
		case 658:
			area->npa=450;
			area->co_code=658;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chambly";
			break;
		
		case 659:
			area->npa=450;
			area->co_code=659;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laprairie";
			break;
		
		case 660:
			area->npa=450;
			area->co_code=660;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 661:
			area->npa=450;
			area->co_code=661;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Vincent-De-Paul";
			break;
		
		case 662:
			area->npa=450;
			area->co_code=662;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 663:
			area->npa=450;
			area->co_code=663;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 664:
			area->npa=450;
			area->co_code=664;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Vincent-De-Paul";
			break;
		
		case 665:
			area->npa=450;
			area->co_code=665;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Vincent-De-Paul";
			break;
		
		case 666:
			area->npa=450;
			area->co_code=666;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laval-Est";
			break;
		
		case 667:
			area->npa=450;
			area->co_code=667;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 668:
			area->npa=450;
			area->co_code=668;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 669:
			area->npa=450;
			area->co_code=669;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 670:
			area->npa=450;
			area->co_code=670;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 671:
			area->npa=450;
			area->co_code=671;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 672:
			area->npa=450;
			area->co_code=672;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 674:
			area->npa=450;
			area->co_code=674;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 675:
			area->npa=450;
			area->co_code=675;
			area->ocn=8820;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 676:
			area->npa=450;
			area->co_code=676;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 677:
			area->npa=450;
			area->co_code=677;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 678:
			area->npa=450;
			area->co_code=678;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 679:
			area->npa=450;
			area->co_code=679;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 680:
			area->npa=450;
			area->co_code=680;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 681:
			area->npa=450;
			area->co_code=681;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 682:
			area->npa=450;
			area->co_code=682;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 686:
			area->npa=450;
			area->co_code=686;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 687:
			area->npa=450;
			area->co_code=687;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 688:
			area->npa=450;
			area->co_code=688;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 689:
			area->npa=450;
			area->co_code=689;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laval-Ouest";
			break;
		
		case 691:
			area->npa=450;
			area->co_code=691;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chateauguay";
			break;
		
		case 692:
			area->npa=450;
			area->co_code=692;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chateauguay";
			break;
		
		case 694:
			area->npa=450;
			area->co_code=694;
			area->ocn=8820;
			area->company="MicroCell Connexions";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 696:
			area->npa=450;
			area->co_code=696;
			area->ocn=8506;
			area->company="GT Group Telecom Services Corp.";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 698:
			area->npa=450;
			area->co_code=698;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chateauguay";
			break;
		
		case 699:
			area->npa=450;
			area->co_code=699;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chateauguay";
			break;
		
		case 701:
			area->npa=450;
			area->co_code=701;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Ste-Madeleine";
			break;
		
		case 702:
			area->npa=450;
			area->co_code=702;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Madeleine";
			break;
		
		case 706:
			area->npa=450;
			area->co_code=706;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Pie-Du-Guire";
			break;
		
		case 712:
			area->npa=450;
			area->co_code=712;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 726:
			area->npa=450;
			area->co_code=726;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Bromont";
			break;
		
		case 730:
			area->npa=450;
			area->co_code=730;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sorel";
			break;
		
		case 742:
			area->npa=450;
			area->co_code=742;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sorel";
			break;
		
		case 743:
			area->npa=450;
			area->co_code=743;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sorel";
			break;
		
		case 746:
			area->npa=450;
			area->co_code=746;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sorel";
			break;
		
		case 750:
			area->npa=450;
			area->co_code=750;
			area->ocn=8821;
			area->company="Rogers AT&T Wireless";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 752:
			area->npa=450;
			area->co_code=752;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 753:
			area->npa=450;
			area->co_code=753;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 754:
			area->npa=450;
			area->co_code=754;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Crabtree";
			break;
		
		case 755:
			area->npa=450;
			area->co_code=755;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 756:
			area->npa=450;
			area->co_code=756;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 757:
			area->npa=450;
			area->co_code=757;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 758:
			area->npa=450;
			area->co_code=758;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 759:
			area->npa=450;
			area->co_code=759;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 760:
			area->npa=450;
			area->co_code=760;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 761:
			area->npa=450;
			area->co_code=761;
			area->ocn=8377;
			area->company="Call-Net Communications";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 763:
			area->npa=450;
			area->co_code=763;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Coteau-Du-Lac";
			break;
		
		case 764:
			area->npa=450;
			area->co_code=764;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Justine-De-Newton";
			break;
		
		case 766:
			area->npa=450;
			area->co_code=766;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 770:
			area->npa=450;
			area->co_code=770;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 771:
			area->npa=450;
			area->co_code=771;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 772:
			area->npa=450;
			area->co_code=772;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Pie";
			break;
		
		case 773:
			area->npa=450;
			area->co_code=773;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 774:
			area->npa=450;
			area->co_code=774;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 775:
			area->npa=450;
			area->co_code=775;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 776:
			area->npa=450;
			area->co_code=776;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 777:
			area->npa=450;
			area->co_code=777;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 778:
			area->npa=450;
			area->co_code=778;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 779:
			area->npa=450;
			area->co_code=779;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 780:
			area->npa=450;
			area->co_code=780;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Sorel";
			break;
		
		case 781:
			area->npa=450;
			area->co_code=781;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 782:
			area->npa=450;
			area->co_code=782;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ste-Victoire";
			break;
		
		case 783:
			area->npa=450;
			area->co_code=783;
			area->ocn=8236;
			area->company="La Corporation de Telephone de la Baie";
			area->status="In Service";
			area->rate_center="Baie Du Febvre";
			break;
		
		case 784:
			area->npa=450;
			area->co_code=784;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Pie-Du-Guire";
			break;
		
		case 785:
			area->npa=450;
			area->co_code=785;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Ours";
			break;
		
		case 786:
			area->npa=450;
			area->co_code=786;
			area->ocn=2243;
			area->company="TELUS Quebec";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 787:
			area->npa=450;
			area->co_code=787;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Denis";
			break;
		
		case 788:
			area->npa=450;
			area->co_code=788;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Aime";
			break;
		
		case 789:
			area->npa=450;
			area->co_code=789;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Yamaska";
			break;
		
		case 791:
			area->npa=450;
			area->co_code=791;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="Ste-Helene-de-Bagot";
			break;
		
		case 792:
			area->npa=450;
			area->co_code=792;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Jude";
			break;
		
		case 793:
			area->npa=450;
			area->co_code=793;
			area->ocn=8234;
			area->company="Le Telephone de St-Liboire de Bagot";
			area->status="In Service";
			area->rate_center="St-Liboire";
			break;
		
		case 794:
			area->npa=450;
			area->co_code=794;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Hughes";
			break;
		
		case 795:
			area->npa=450;
			area->co_code=795;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Madeleine";
			break;
		
		case 796:
			area->npa=450;
			area->co_code=796;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Thomas-d'Aquin";
			break;
		
		case 797:
			area->npa=450;
			area->co_code=797;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Damase";
			break;
		
		case 798:
			area->npa=450;
			area->co_code=798;
			area->ocn=8239;
			area->company="Telebec Ltee.";
			area->status="In Service";
			area->rate_center="St-Simon";
			break;
		
		case 799:
			area->npa=450;
			area->co_code=799;
			area->ocn=8213;
			area->company="Telephone Guevremont Inc.";
			area->status="In Service";
			area->rate_center="St-Rosalie";
			break;
		
		case 802:
			area->npa=450;
			area->co_code=802;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 803:
			area->npa=450;
			area->co_code=803;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 806:
			area->npa=450;
			area->co_code=806;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Therese";
			break;
		
		case 807:
			area->npa=450;
			area->co_code=807;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Valleyfield";
			break;
		
		case 820:
			area->npa=450;
			area->co_code=820;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 821:
			area->npa=450;
			area->co_code=821;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 822:
			area->npa=450;
			area->co_code=822;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="St-Jerome";
			break;
		
		case 825:
			area->npa=450;
			area->co_code=825;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Howick";
			break;
		
		case 826:
			area->npa=450;
			area->co_code=826;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Chrysostome";
			break;
		
		case 827:
			area->npa=450;
			area->co_code=827;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Franklin Center";
			break;
		
		case 829:
			area->npa=450;
			area->co_code=829;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ormstown";
			break;
		
		case 830:
			area->npa=450;
			area->co_code=830;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Granby";
			break;
		
		case 831:
			area->npa=450;
			area->co_code=831;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Julienne";
			break;
		
		case 833:
			area->npa=450;
			area->co_code=833;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Michel-Des-Saints";
			break;
		
		case 834:
			area->npa=450;
			area->co_code=834;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Rawdon";
			break;
		
		case 835:
			area->npa=450;
			area->co_code=835;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Gabriel-De-Brandon";
			break;
		
		case 836:
			area->npa=450;
			area->co_code=836;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Berthierville";
			break;
		
		case 838:
			area->npa=450;
			area->co_code=838;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Anne-Des-Plaines";
			break;
		
		case 839:
			area->npa=450;
			area->co_code=839;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jacques";
			break;
		
		case 880:
			area->npa=450;
			area->co_code=880;
			area->ocn=8819;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Sorel";
			break;
		
		case 881:
			area->npa=450;
			area->co_code=881;
			area->ocn=8303;
			area->company="TELUS Mobility";
			area->status="In Service";
			area->rate_center="Sorel";
			break;
		
		case 882:
			area->npa=450;
			area->co_code=882;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Rawdon";
			break;
		
		case 883:
			area->npa=450;
			area->co_code=883;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Alphonse-De-Rodriguez";
			break;
		
		case 884:
			area->npa=450;
			area->co_code=884;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Zenon";
			break;
		
		case 885:
			area->npa=450;
			area->co_code=885;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Barthelemy";
			break;
		
		case 886:
			area->npa=450;
			area->co_code=886;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Jean-De-Matha";
			break;
		
		case 887:
			area->npa=450;
			area->co_code=887;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Lanoraie";
			break;
		
		case 888:
			area->npa=450;
			area->co_code=888;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Hyacinthe";
			break;
		
		case 889:
			area->npa=450;
			area->co_code=889;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Felix-De-Valois";
			break;
		
		case 901:
			area->npa=450;
			area->co_code=901;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 902:
			area->npa=450;
			area->co_code=902;
			area->ocn=8304;
			area->company="AT&T Canada";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 907:
			area->npa=450;
			area->co_code=907;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 916:
			area->npa=450;
			area->co_code=916;
			area->ocn=6574;
			area->company="Bell Mobility";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 922:
			area->npa=450;
			area->co_code=922;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Julie-Des-Vercheres";
			break;
		
		case 923:
			area->npa=450;
			area->co_code=923;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 926:
			area->npa=450;
			area->co_code=926;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Lambert";
			break;
		
		case 928:
			area->npa=450;
			area->co_code=928;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Longueuil";
			break;
		
		case 929:
			area->npa=450;
			area->co_code=929;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Varennes";
			break;
		
		case 960:
			area->npa=450;
			area->co_code=960;
			area->ocn=8306;
			area->company="Videotron Telecom (1998) Ltee";
			area->status="In Service";
			area->rate_center="Joliette";
			break;
		
		case 961:
			area->npa=450;
			area->co_code=961;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Terrebonne";
			break;
		
		case 962:
			area->npa=450;
			area->co_code=962;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laval-Ouest";
			break;
		
		case 963:
			area->npa=450;
			area->co_code=963;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Rose";
			break;
		
		case 964:
			area->npa=450;
			area->co_code=964;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Terrebonne";
			break;
		
		case 965:
			area->npa=450;
			area->co_code=965;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 966:
			area->npa=450;
			area->co_code=966;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Mascouche";
			break;
		
		case 967:
			area->npa=450;
			area->co_code=967;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 968:
			area->npa=450;
			area->co_code=968;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Mascouche";
			break;
		
		case 969:
			area->npa=450;
			area->co_code=969;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Laval-Ouest";
			break;
		
		case 971:
			area->npa=450;
			area->co_code=971;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 972:
			area->npa=450;
			area->co_code=972;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 973:
			area->npa=450;
			area->co_code=973;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 974:
			area->npa=450;
			area->co_code=974;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="St-Eustache";
			break;
		
		case 975:
			area->npa=450;
			area->co_code=975;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 978:
			area->npa=450;
			area->co_code=978;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		case 979:
			area->npa=450;
			area->co_code=979;
			area->ocn=8050;
			area->company="Bell Canada";
			area->status="In Service";
			area->rate_center="Ste-Therese";
			break;
		
		case 980:
			area->npa=450;
			area->co_code=980;
			area->ocn=4849;
			area->company="Axxent Corp.";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 981:
			area->npa=450;
			area->co_code=981;
			area->ocn=8377;
			area->company="Call-Net Communications";
			area->status="In Service";
			area->rate_center="Pont-Viau";
			break;
		
		case 988:
			area->npa=450;
			area->co_code=988;
			area->ocn=8506;
			area->company="GT Group Telecom Services Corp.";
			area->status="In Service";
			area->rate_center="Chomedey";
			break;
		
		default: return -1;
	}
	return 0;
}
