/*
dtmflogd        A program to log digits captured by a serial dtmf decoder
Copyright (C) 2003  Raphael Assenat

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author: Raphael Assenat <raph@raphnet.net>
*/
#ifndef _pnum_h__
#define _pnum_h__

#define AREA_CODE 450

#define LOCAL_NUMBER_LEN 7 // 444-2222
#define AREA_NUMBER_LEN 10 // 514-555-2222
#define LONG_DISTANCE_NUMBER_LEN 11 // 1-418-444-1919

#define PNUM_MAX_LEN 40 // the maximum total length for a phone number

typedef struct _Phone_number {
	int npa;	// eg 514-***-****
	int co;		// eg ***-123-****
	int number;	// eg ***-***-1234
	char isLongDistance;
} PhoneNumber;


int pnum_split_and_expand(char *number, PhoneNumber *pnumber);
int pnum_remove_function(const char *src_str, char *function, char *number);
char *pnum_toString(char *dst_buf, PhoneNumber *pnumber);
char *pnum_getFunctionName(char *fn);

#endif // _pnum_h__

